Bug 1649800 - Preview host set should be limited or generating should be confirmed
Summary: Preview host set should be limited or generating should be confirmed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Reporting
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Marek Hulan
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 14:37 UTC by Lukáš Hellebrandt
Modified: 2019-10-07 17:18 UTC (History)
4 users (show)

Fixed In Version: foreman-1.20.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:58 UTC
Foreman Issue Tracker 25465 None None None 2018-11-14 14:56:31 UTC

Description Lukáš Hellebrandt 2018-11-14 14:37:09 UTC
Description of problem:
When generating a report (as in clicking "Generate"), we warn a user about resource consumption implications and want to confirm they really want to generate the report.

While generating a preview of the report is much easier to reach (whenever you edit a template, you tend to preview it before submitting and the button is readily available), we don't issue any such warning there.

The warning should either be issued OR we could limit a number of hosts loaded, thus limiting the dataset we work with. The operation would be cheaper, thus suitable for preview without warning. However, the user needs to be well aware that the result is just a sample. This could also lead to selecting such a dataset that this sample would be useless for the user (e.g. empty).

Version-Release number of selected component (if applicable):
Sat 6.5

How reproducible:
Deterministic

Steps to Reproduce:
1. Monitor -> Report Templates -> <report> -> Preview

Actual results:
No warning, full report generated

Expected results:
Either warning or limited dataset, after thinking through the implications. Or something completely different that would make sense.

Comment 1 Marek Hulan 2018-11-14 14:56:29 UTC
Created redmine issue https://projects.theforeman.org/issues/25465 from this bug

Comment 2 pm-sat@redhat.com 2018-11-14 15:09:01 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 3 pm-sat@redhat.com 2018-11-14 15:09:04 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 6 Lukáš Hellebrandt 2018-12-11 15:28:22 UTC
Verified with Sat 6.5 snap 7 using reproducer from OP.

load_hosts macro now only loads 10 hosts in preview.

Comment 8 errata-xmlrpc 2019-05-14 12:38:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.